import { request } from '/@/utils/service';


const apiPrefix = '/api/assets/computer/';

export function getCardData(query: any) {
  return request({
    url: apiPrefix + 'card/',
    method: 'GET',
    params: query,
  });
}

export function getComputerDetailOverview(id: number) {
  return request({
		url: `${apiPrefix}${id}/`,
		method: 'GET',
	});
}

export function getCurrentTableData(query: any) {
  return request({
    url: apiPrefix + 'current/',
    method: 'GET',
    params: query,
  });
}
export function getPastTableData(query: any) {
  return request({
    url: apiPrefix + 'past/',
    method: 'GET',
    params: query,
  });
}

export function createComputer(body: any) {
  return request({
    url: apiPrefix + 'create/',
    method: 'POST',
    data: body,
  });
}

